/* Vehicle Card */
.vehicle-card {
    background: #fff;
    border-radius: 15px;
    overflow: hidden;
    padding: 30px 40px 0 40px;
    min-height: 475px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: box-shadow 0.4s ease;
}
.vehicle-card.vehicle-card-2 {
    background-color: #C6E0EA;
    padding: 30px 30px 20px 30px;
    transition: background-color 0.4s ease;
}
.vehicle-card.vehicle-cat {
    padding: 30px 30px 20px 30px; 
    min-height: auto;
}
.vehicle-card-title {
    font-weight: bold!important;
    font-family: Mont, sans-serif!important;
    font-size: 1.6em !important;
    margin-bottom: 0!important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.vehicle-card header {
    border-bottom: 1px solid var(--color-primary);
    margin-bottom: 15px;
    padding-bottom: 15px;
}
.vehicle-card.vehicle-card-2 header,
.vehicle-card.vehicle-cat header {
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.vehicle-card-autonomia {
    margin-top: 10px;
}
.vehicle-card-motor {
    color: var(--color-primary);
    font-weight: 500;
}
.vehicle-card-autonomia-value {
    color: var(--color-success);
    font-family: "Rebond Grotesque", sans-serif;
    font-weight: bold;
}
.vehicle-card-bottom {
    align-items: flex-start;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.vehicle-cat .vehicle-card-bottom {
    align-items: center;
    justify-content: space-between;
}
.vehicle-card-bottom-flex {
    align-items: flex-start;
    color: var(--color-primary);
    display: flex;
    flex-direction: column;
    width: calc(100% - 120px);
}
.vehicle-card.vehicle-card-2 .vehicle-card-bottom-flex {
    width: 100%;
    align-items: center;
    margin-top: 10px;
}
.vehicle-card-category {
    border: 1px solid var(--color-success);
    border-radius: 50px;
    color: var(--color-primary, #0025ff);
    font-size: 11px!important;
    font-weight: 500;
    padding: 8px 20px;
    text-transform: uppercase;
}
.vehicle-card-icons {
    display: flex;
    flex: 1 1 auto;
    gap: 4px;
    list-style: none;
    margin: 0;
    padding: 0;
}
.vehicle-card-icons .vehicle-card-icon {
    align-items: center;
    background-color: var(--color-bg-1);
    border-radius: 50%;
    color: var(--color-primary);
    display: flex;
    flex-shrink: 0;
    height: 35px;
    justify-content: center;
    max-height: 35px;
    max-width: 35px;
    min-height: 35px;
    min-width: 35px;
    overflow: hidden;
    width: 35px;
}
.vehicle-card-icons .vehicle-card-icon h3 {
    font-weight: bold;
}
.vehicle-card-icons .vehicle-card-icon img,
.vehicle-card-icons .vehicle-card-icon svg {
    display: block;
    height: 16px !important;
    object-fit: contain;
    width: 16px !important;
}
.vehicle-card-icons .vehicle-card-icon span {
    display: block;
    font-size: 12px;
    font-size: 0.9em;
    line-height: 1;
    margin-left: 2px;
    margin-top: 2px;
    text-align: center;
    text-transform: uppercase;
}
.vehicle-card-img img{
    height: 180px;
    object-fit: contain;
    width: 100%;
}
.vehicle-card-price {
    align-items: flex-start;
    background-color: var(--color-bg-2);
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    color: var(--color-primary);
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    font-family: "Rebond Grotesque", sans-serif;
    font-size: 2.3rem;
    font-weight: bold;
    height: 110px;
    justify-content: end;
    padding: 0 0 10px 0;
    min-height: 110px;
    padding-left: 20px;
    width: 120px;
    transition: background-image 0.6s ease, color 0.2s ease;
    position: relative;
    overflow: hidden;
    transition: color 0.2s ease;
}
.vehicle-card-price.version-2 { 
    width: 100%;
    flex-direction: row;
    justify-content: center;
    background: transparent;
    overflow: visible;
    border-radius: 0!important;
    padding: 0;
    min-height: auto;
    height: auto;
}

.cat-card-price {
    font-family: "Rebond Grotesque", sans-serif;
    font-size: 2.3rem;
    font-weight: bold;
    color: var(--color-primary);
}
.vehicle-card-category-description {
    color: var(--color-primary); 
}

.vehicle-card-price::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(-45deg, #2DD222 0%, #0F27EA 77%);
    opacity: 0;
    transition: opacity 0.6s ease;
    z-index: 1;
    pointer-events: none;
}
.vehicle-card-price.version-2::after {
    background-image: none;
}

.vehicle-card-price * {
    position: relative;
    z-index: 2;
}
.vehicle-card-price-unit-tax,
.vehicle-card-price-label,
.vehicle-card-price-unit {
    display: block;
    font-size: 17px;
    font-weight: 500;
    line-height: 1;
    margin: 5px 0;
}
.vehicle-card-price-unit-tax {
    text-align: center;
    font-size: 13px!important;
    margin-top: 10px;
    display: block;
    width: 100%;
    font-weight: 400;
    opacity: 0.9;
    color: var(--color-primary)!important;
}
.vehicle-card-price-value {
    display: block;
    font-family: "Rebond Grotesque", sans-serif;
}
.vehicle-card-price.version-2 .vehicle-card-price-value {
    margin: 0 10px;
}
.vehicle-card-tax-left {
    flex: 1 1 auto;
}
.vehicle-card-tax-right {
    align-items: center;
    display: flex;
    flex: 0 0 auto;
    justify-content: flex-end;
}
.vehicle-card-autonomia-label {
    letter-spacing: -0.5px;
    display: block;
    margin-bottom: 0 !important;
    line-height: 0.8;
    margin-top: 5px;
}
.vehicle-card-tax-row {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: 12px;
}
.vehicle-card-btn {
    background-color: var(--color-bg-3)!important;
    border-color: var(--color-bg-3);
    color: var(--color-primary)!important;
    transition: background-image 1s ease, color 0.4s ease;
    border: none;
}

@media (min-width:768px) {
    .vehicle-card:hover {
        box-shadow: 0 0 12px rgba(45, 210, 34, 0.5);
    }
    .vehicle-card.vehicle-card-2:hover {
        background-color: #fff;
    }
    .vehicle-card:hover .vehicle-card-btn {
        background-image: linear-gradient(-45deg, #2DD222 0%, #0F27EA 77%);
        color: #fff!important;
    }
    .vehicle-card:hover .vehicle-card-price::after {
        opacity: 1;
    }
    .vehicle-card:hover .vehicle-card-price {
        color: #fff!important;
    }
    .vehicle-card.vehicle-card-2:hover .vehicle-card-price {
    color: var(--color-primary)!important;
    }

}
@media (max-width:767px) {
    .vehicle-card {
        background: #fff;
        border-radius: 15px;
        overflow: hidden;
        padding: 30px 20px 0 20px;
        min-height: auto;
    }
    .vehicle-card-icons .vehicle-card-icon {
        height: 34px;
        max-height: 34px;
        max-width: 34px;
        min-height: 34px;
        min-width: 34px;
        width: 34px;
    }
    .vehicle-card-img img{
        height: 150px;
    }
    .vehicle-card header {
        border-bottom: 1px solid var(--color-primary);
        margin-bottom: 10px;
        padding-bottom: 10px;
    }
    .vehicle-card-price {
        width: 110px;
        min-width: 110px;
        height: 100px;
        min-height: 100px;
    }
    .swiper-slide-active .vehicle-card {
        box-shadow: 0 0 10px rgba(45, 210, 34, 0.3);
    }
     .swiper-slide-active .vehicle-card .vehicle-card-price {
        background-image: linear-gradient(-45deg, #2DD222 0%, #0F27EA 77%);
        color: #fff!important;
    }
    .swiper-slide-active .vehicle-card .vehicle-card-price::after {
        opacity: 1;
    }
    .swiper-slide-active .vehicle-card .vehicle-card-price {
        color: #fff!important;
    }
}


/* Móvil: Swiper */
@media (max-width: 767px) {
    .vehicle-swiper-container,
    .vehicle-category-swiper-container {
        padding-left: 0;
        padding-right: 0;
    }

    .vehicle-swiper-container .swiper-wrapper,
    .vehicle-category-swiper-container .swiper-wrapper {
        display: flex;
    }

    .vehicle-swiper-container .swiper-slide,
    .vehicle-category-swiper-container .swiper-slide {
        width: 85%;
    }
}

/* Desktop: Grid */
@media (min-width: 768px) {
    .vehicle-swiper-container,
    .vehicle-category-swiper-container {
        overflow: visible;
    }

    .vehicle-swiper-container .swiper-wrapper,
    .vehicle-category-swiper-container .swiper-wrapper {
        display: grid !important;
        grid-template-columns: repeat(3, minmax(0, 1fr));
        gap: 20px!important;
        transform: none !important;
        padding: 10px;
    }

    .vehicle-category-swiper-container .swiper-wrapper {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        gap: 15px!important;
    }

    .vehicle-swiper-container .swiper-slide,
    .vehicle-category-swiper-container .swiper-slide {
        width: 100% !important;
        margin: 0 !important;
    }
}